﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SeizyUtils.Common.Data.Csv
{
    /// <summary>
    /// CSVファイルに書き込みます。
    /// </summary>
    interface ICsvWriter<T> : IDisposable
    {
        /// <summary>
        /// 一行を書き込みます。
        /// </summary>
        /// <param name="record"></param>
        void writeLine(T record);

        /// <summary>
        /// ファイルを閉じます。
        /// </summary>
        void close();
    }
}
