﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SeizyUtils.Common.Data.Database
{
    class DBRecord : Record, IDBRecord
    {
        private readonly Dictionary<string, object> _params = new Dictionary<string, object>();

        public DBRecord(ColumnModel model) : base(model)
        {
        }

        protected override void SetColumnValue(IColumn column, object value)
        {
            _params.Add(column.getName(), value);
        }

        protected override object GetColumnValue(IColumn column)
        {
            return _params[column.getName()];
        }

    }
}
