﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SeizyUtils.Common.Data.Database
{
    /// <summary>
    /// クエリを表すインターフェースです。
    /// ENUMに実装され、ハンディで利用するSQL定義を区別する役割があります。
    /// </summary>
    public interface IQuery
    {
        /// <summary>
        /// SQLを返します。
        /// </summary>
        /// <returns></returns>
        string getQuery();
    }
}
