﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SeizyUtils.Common.Data
{
    /// <summary>
    /// テーブル、あるいはCSVファイルの種類を表すインターフェースです。
    /// </summary>
    interface IDefinition
    {
        /// <summary>
        /// カラムの一覧を返します。
        /// </summary>
        /// <returns></returns>
        IList<IColumn> GetColumns();

        /// <summary>
        /// 定義の名前を返します。
        /// </summary>
        /// <returns></returns>
        string getDefinitionName();


    }
}
