﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SeizyUtils.Common.Data
{
    interface IRecord
    {
        /// <summary>
        /// object型でデータを取得します。
        /// </summary>
        /// <param name="column"></param>
        /// <returns></returns>
        object GetObject(IColumn column);

        /// <summary>
        /// object型でデータを設定します。
        /// </summary>
        /// <param name="column"></param>
        /// <param name="value"></param>
        void SetObject(IColumn column, object value);

        /// <summary>
        /// カラム情報を取得します。
        /// </summary>
        ColumnModel getColumnModel();
    }
}
