﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace SeizyUtils.AppCode.Common.Data.Model.Bean
{
    class PickingResult : ClonableBean
    {
        /// <summary>
        /// 施設コード
        /// </summary>
        public string INSTITUTION_CODE { get; set; }

        /// <summary>
        /// ピッキング指示ID
        /// </summary>
        public string PICKING_DIRECTION_ID { get; set; }

        /// <summary>
        /// SPDラベル番号
        /// </summary>
        public string SPD_LABEL_NO { get; set; }

        /// <summary>
        /// 物品コード
        /// </summary>
        public string ITEM_CODE { get; set; }

        /// <summary>
        /// 確認区分
        /// </summary>
        public int CHECK_KBN { get; set; }

        /// <summary>
        /// JANコード
        /// </summary>
        public string JAN_CODE { get; set; }

        /// <summary>
        /// GS1-128コード
        /// </summary>
        public string GS1_128_CODE { get; set; }

        /// <summary>
        /// シリアル番号
        /// </summary>
        public string SERIAL { get; set; }

        /// <summary>
        /// ロット番号
        /// </summary>
        public string LOT_NO { get; set; }

        /// <summary>
        /// 払出数
        /// </summary>
        public int? EXPEND_QTY { get; set; }

        /// <summary>
        /// 単位コード
        /// </summary>
        public string UNIT_CODE { get; set; }

        /// <summary>
        /// 換算数
        /// </summary>
        public int CONVERSION_NUM { get; set; }
    }
}
