﻿using System;

namespace SeizyUtils.AppCode.Common.Data.Model.Bean
{
    class PostStockUpdate : ClonableBean
    {
        /// <summary>
        /// 施設コード
        /// </summary>
        public string INSTITUTION_CODE { get; set; }

        /// <summary>
        /// 棚卸日
        /// </summary>
        public string STOCKTAKING_DATE { get; set; }

        /// <summary>
        /// 部署コード
        /// </summary>
        public string POST_CODE { get; set; }

        /// <summary>
        /// SPDラベル番号
        /// </summary>
        public string SPD_LABEL_NO { get; set; }

        /// <summary>
        /// 物品コード
        /// </summary>
        public string ITEM_CODE { get; set; }

        /// <summary>
        /// シリアル番号
        /// </summary>
        public string SERIAL { get; set; }

        /// <summary>
        /// ロット番号
        /// </summary>
        public string LOT_NO { get; set; }

        /// <summary>
        /// 在庫数
        /// </summary>
        public int? STOCK { get; set; }

        /// <summary>
        /// 単位コード
        /// </summary>
        public string UNIT_CODE { get; set; }

        /// <summary>
        /// 換算数
        /// </summary>
        public int? CONVERSION_NUM { get; set; }

        /// <summary>
        /// 棚差区分
        /// </summary>
        public int? SHELF_DIFF_KBN { get; set; }

        /// <summary>
        /// 棚差理由
        /// </summary>
        public int? SHELF_DIFF_REASON { get; set; }

        /// <summary>
        /// 払出部署コード
        /// </summary>
        public string EXPEND_POST_CODE { get; set; }

    }
}
