﻿using System;

namespace SeizyUtils.AppCode.Common.Data.Model.Bean
{
    class WarehouseStockUpdate : ClonableBean
    {
        /// <summary>
        /// 施設コード
        /// </summary>
        public string INSTITUTION_CODE { get; set; }

        /// <summary>
        /// 棚卸日
        /// </summary>
        public string STOCKTAKING_DATE { get; set; }

        /// <summary>
        /// 物品コード
        /// </summary>
        public string ITEM_CODE { get; set; }

        /// <summary>
        /// ロット番号
        /// </summary>
        public string LOT_NO { get; set; }

        /// <summary>
        /// シリアル番号
        /// </summary>
        public string SERIAL { get; set; }

        /// <summary>
        /// 実在庫数
        /// </summary>
        public int? REAL_STOCK { get; set; }

        /// <summary>
        /// 使用期限
        /// </summary>
        public string LIMIT_DATE { get; set; }

        /// <summary>
        /// コードID
        /// </summary>
        public string CODE_ID { get; set; }

        /// <summary>
        /// 換算数
        /// </summary>
        public int? CONVERSION_NUM { get; set; }

        /// <summary>
        /// 棚差区分
        /// </summary>
        public int? SHELF_DIFF_KBN { get; set; }

        /// <summary>
        /// 棚差理由
        /// </summary>
        public int? SHELF_DIFF_REASON { get; set; }

        /// <summary>
        /// SQL区分
        /// </summary>
        public int SQL_KBN { get; set; }

    }
}
