﻿using System;
using SeizyUtils.AppCode.Common.Exceptions;

namespace SeizyUtils.Common.Exceptions
{
    /// <summary>
    /// セッション処理（ログイン、ログアウト）に失敗した場合のExceptionクラスです。
    /// </summary>
    public class HTInvalidSessionException : HTException
    {

        internal HTInvalidSessionException(string message) : base(message)
        {
        }

        internal HTInvalidSessionException(string message, Exception e)
            : base(message, e)
        {   
        }

    }
}
