﻿using System;

/// <summary>
/// StringUtil の概要の説明です
/// </summary>

namespace SpdWeb.Util {

    public static class StringUtil {

        /// <summary>
        /// 文字数のチェック
        /// パラメータに指定された文字が
        /// パラメータの文字数以内かチェックする
        /// </summary>
        public static Boolean isLenOver(string str, int len) {
            if (string.IsNullOrEmpty(str)) {
                return false;
            }
            if (str.Trim().Length <= len) {
                return true;
            } else {
                return false;
            }
        }
    }

}