﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SeizyUtils.Common.Data
{
    /// <summary>
    /// カラム情報を保持するクラス
    /// </summary>
    class ColumnModel
    {
        private readonly IList<string> _columns;

        public ColumnModel(IList<string> columns)
        {
            _columns = columns;
        }

        public int getColumnNum(string columnName)
        {
            return _columns.IndexOf(columnName);
        }

        public string getColumnName(int index)
        {
            return _columns[index];
        }

        public int getSize()
        {
            return _columns.Count;
        }

    }
}
