﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SeizyUtils.Common.Data.Csv
{
    interface ICsvReader : IDisposable
    {

        /// <summary>
        /// 一行を読み取り、ICsvRecord に変換します。
        /// 最後の行が終わった場合、nullが返ります。
        /// </summary>
        /// <returns></returns>
        ICsvRecord readLine();

        /// <summary>
        /// ファイルを閉じます。
        /// </summary>
        void close();
    }
}
