﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SeizyUtils.Common.Data.Database
{
    /// <summary>
    /// IDatabaseManagerのDBアクセス機能を拡張するInternalOnlyのインターフェースです。
    /// </summary>
    interface IDatabaseManagerInternal
    {
        /// <summary>
        /// 戻り値が無いタイプのSQLを実行します。
        /// 失敗時はExceptionが投げられます。
        /// </summary>
        /// <param name="sql"></param>
        void executeNonQuery(string sql);
    }
}
