﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SeizyUtils.Common.Data.Database.Parse
{
    /// <summary>
    /// SQLを解析する際の状態を表すステートパターンのインターフェースです。
    /// </summary>
    interface IParseState
    {

        /// <summary>
        /// 
        /// </summary>
        /// <param name="line"></param>
        /// <param name="resultSql"></param>
        /// <param name="param"></param>
        /// <returns></returns>
        IParseState ReadLine(string line, StringBuilder resultSql, QueryParam param);
    }
}
