﻿namespace SeizyUtils.AppCode.Common.Data.Model.Bean
{
    class PickingReceive : ClonableBean
    {
        // ピッキング指示ヘッダー．ピッキング指示ID
        public string PICKING_DIRECTION_ID { get; set; }
        // ピッキング指示ヘッダー．部署コード
        public string POST_CODE { get; set; }
        // ピッキング指示SPDラベル別明細．SPDラベル番号
        public string SPD_LABEL_NO { get; set; }
        // ピッキング指示明細．物品コード
        public string ITEM_CODE { get; set; }
        // ピッキング指示明細．単位コード
        public string UNIT_CODE { get; set; }
        // ピッキング指示明細．換算数
        public int CONVERSION_NUM { get; set; }
        // 単位管理マスタ．単位名
        public string UNIT_NAME { get; set; }
        // 物品マスタ．物品名
        public string ITEM_NAME { get; set; }
        // 物品マスタ．規格
        public string STANDARD { get; set; }
        // 物品マスタ．ロット管理区分
        public int? LOT_KBN { get; set; }
        // 物品マスタ．シリアル管理区分
        public int? SERIAL_KBN { get; set; }
        // 物品マスタ．日用品フラグ
        public int? COMMODITY { get; set; }
        // 物品マスタ．メーカー品番
        public string HINBAN { get; set; }
        // 物品マスタ．棚番
        public string SHELF_NO { get; set; }
        // 物品マスタ．JANコード
        public string JAN_CODE { get; set; }
    }
}
