﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace SeizyUtils.AppCode.Common.Utilities
{
    /// <summary>
    /// 基本的な型変換などの機能を管理するユーティリティです。
    /// </summary>
    class Utils
    {
        public static string valueOf(int value)
        {
            return null;
        }

        public static Dictionary<string, string> parseInfoMap(string configFile)
        {

            Dictionary<string, string> result = new Dictionary<string, string>();

            StringReader reader = new StringReader(configFile);
            while (reader.Peek() > -1)
            {
                string line = reader.ReadLine();
                if (!line.StartsWith("#") && !string.IsNullOrEmpty(line))
                {
                    int index = line.IndexOf('=');
                    if (index == -1)
                    {
                        throw new ApplicationException("設定ファイル構文が間違っています。\n修正してください。");
                    }

                    string key = line.Substring(0, index).Trim();
                    string value = line.Substring(index+1).Trim();
                    result.Add(key, value);

                }

            }
            return result;

        }
    }
}
